
/**************************************************************************
 *
 *  $Id: myutil.c 1.3 2004/10/29 10:12:13Z martin REL_M $
 *
 *  Copyright (c) Meinberg Funkuhren, Bad Pyrmont, Germany
 *
 *  Description:
 *    Some miscellaneous utility functions.
 *
 * -----------------------------------------------------------------------
 *  $Log: myutil.c $
 *  Revision 1.3  2004/10/29 10:12:13Z  martin
 *  Removed obsolete inclusion of mystd.h.
 *  Revision 1.2  2000/07/21 13:52:01Z  MARTIN
 *  Support for checksums on far data objects.
 *
 **************************************************************************/

#define _MYUTIL
 #include <myutil.h>
#undef _MYUTIL



/*HDR*/
void spaces_to_zeros( char *s )
{
  char *cp;

  for ( cp = s; *cp; cp++ )
    if ( *cp == ' ' )
      *cp = '0';

}  // spaces_to_zeros



/*--------------------------------------------------------------*/
/* Name:         checksum()                                     */
/*                                                              */
/* Purpose:                                                     */
/*                                                              */
/*                                                              */
/* Input:        --                                             */
/*                                                              */
/* Output:       --                                             */
/*                                                              */
/* Ret value:    --                                             */
/*+-------------------------------------------------------------*/

/*HDR*/
CSUM checksum( const void _CSFAR *vp, int n )
{
  CSUM csum = 0x1234;
  int i;

  byte _CSFAR *p = ( (byte _CSFAR *) vp ) + sizeof( csum );
  n -= sizeof( csum );

  for ( i = 0; i < n; i++ )
    csum += *p++;

  return( csum );

}  // checksum


